import { Context, Device, RepeatState } from "./types";
interface SpotifyPlayerArgs {
    token: string;
    onContextChanged?: (context: Context | null) => void;
    pollPeriod?: number;
}
export declare const useSpotifyPlayer: ({ token, pollPeriod, onContextChanged }: SpotifyPlayerArgs) => {
    context: Context | null;
    deviceId: string | null;
    devices: Device[];
    disabled: boolean;
    duration: number;
    local: boolean;
    paused: boolean;
    position: number;
    repeat: RepeatState;
    shuffle: boolean;
    volume: number;
    handleNextTrack: () => void;
    handlePlay: (play: boolean) => void;
    handlePreviousTrack: () => Promise<void>;
    handleRepeat: () => Promise<void>;
    handleSeek: (position: any) => void;
    handleShuffle: () => Promise<void>;
    handleVolumeChange: (volume: number) => Promise<void>;
    getAvailableDevices: () => Promise<void>;
    transferPlayback: (deviceId: string) => Promise<void>;
};
export {};
//# sourceMappingURL=useSpotifyPlayer.d.ts.map